Skip to main content
GET
/
drift
/
users
/
{tuid}
List drift events for a user
curl --request GET \
  --url https://api.truu.ai/api/v1/external/drift/users/{tuid} \
  --header 'X-API-Key: <api-key>'
{
  "next_cursor": "<string>",
  "tuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "items": [
    {
      "kind": "drift",
      "drift_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "computator": "<string>",
      "time_period": "1d",
      "prior_val": null,
      "current_val": null,
      "delta": "<unknown>",
      "period_start_at": "2023-11-07T05:31:56Z",
      "detected_at": "2023-11-07T05:31:56Z",
      "user": {
        "name": "<string>",
        "email": "<string>"
      }
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Domain-scoped API key. Generate and manage keys from the API Keys page in Settings. Pass via the X-API-Key header.

Path Parameters

tuid
string<uuid>
required

Query Parameters

computator
string
time_period
enum<string>
Available options:
1d,
3d,
7d,
30d,
90d,
180d
page_size
integer
default:50
Required range: x <= 200
next_cursor
string

Response

Paginated drift events for this user

next_cursor
string | null
tuid
string<uuid>
items
object[]